Attribute VB_Name = "mdlMain"
Option Explicit

Public Engine As clsEngine

Sub Main()

  Set Engine = New clsEngine
  
  If Not (Engine.CreateWindow(frmMain, 1600, 1200, 32)) Then Exit Sub
  
  Do
    DrawScene
    DoEvents
  Loop Until Not Engine.active
  
  Call Engine.KillWindow(frmMain)
  Set Engine = Nothing

End Sub

Sub DrawScene()
Dim j As Integer

glClear GL_COLOR_BUFFER_BIT Or GL_DEPTH_BUFFER_BIT 'Vymae obrazovku a hloubkov buffer

Engine.CameraMove 0 'vypocet polohy kamery dle pozice mysi

glLoadIdentity 'Reset matice

glRotatef Engine.CamrotX, 1, 0#, 0# 'rotace  x, y, z
glRotatef Engine.CamrotY, 0, 1#, 0# 'rotace  x, y, z
glRotatef Engine.CamrotZ, 0, 0#, 1# 'rotace  x, y, z

glTranslatef Engine.CamposX, Engine.CamposY, Engine.CamposZ    'posun X, Y, Z

'vykresleni orientacni mrizky
For j = -100 To 100 Step 5
  glBegin (GL_LINES)
    glColor3ub 24, 18, 252
    glVertex3f -100, -10, j
    glVertex3f 100, -10, j
    glVertex3f j, -10, -100
    glVertex3f j, -10, 100
  glEnd
Next
  
glFlush
Call SwapBuffers(frmMain.hDC) 'Prohozen zasobniku

End Sub
